@import '_content/Blazored.Modal/Blazored.Modal.bundle.scp.css';
@import '_content/Blazored.Toast/Blazored.Toast.bundle.scp.css';

/* _content/ElectionSetup.Web.Client/Components/ErrorHandling/Error.razor.rz.scp.css */
#ErrorContainer[b-sducelf1v9] {
    background: white;
}

#ErrorContainer > h1[b-sducelf1v9] {
    margin: 100px auto 0 auto;
    color: black;
    font-family: 'Encode Sans Semi Condensed', Verdana, sans-serif;
    font-size: 10rem;
    line-height: 10rem;
    font-weight: 200;
    text-align: center;
}

#ErrorContainer > h2[b-sducelf1v9] {
    margin: 20px auto 30px auto;
    font-family: 'Encode Sans Semi Condensed', Verdana, sans-serif;
    font-size: 1.5rem;
    font-weight: 200;
    text-align: center;
}

#ErrorContainer > h1[b-sducelf1v9], h2[b-sducelf1v9] {
    -webkit-transition: opacity 0.5s linear, margin-top 0.5s linear; /* Safari */
    /* ReSharper disable once CssBrowserCompatibility */
    transition: opacity 0.5s linear, margin-top 0.5s linear;
}

.loading h1[b-sducelf1v9], .loading h2[b-sducelf1v9] {
    margin-top: 0;
    /* ReSharper disable once CssBrowserCompatibility */
    opacity: 0;
}

.gears[b-sducelf1v9] {
    position: relative;
    margin: 0 auto;
    width: auto;
    height: 0;
}

.gear[b-sducelf1v9] {
    position: relative;
    z-index: 0;
    width: 120px;
    height: 120px;
    margin: 0 auto;
    /* ReSharper disable once CssBrowserCompatibility */
    border-radius: 50%;
    background: black;
}

.gear[b-sducelf1v9]:before {
    position: absolute;
    left: 5px;
    top: 5px;
    right: 5px;
    bottom: 5px;
    z-index: 2;
    content: "";
    /* ReSharper disable once CssBrowserCompatibility */
    border-radius: 50%;
    background: white;
}

.gear[b-sducelf1v9]:after {
    position: absolute;
    left: 25px;
    top: 25px;
    z-index: 3;
    content: "";
    width: 70px;
    height: 70px;
    /* ReSharper disable once CssBrowserCompatibility */
    border-radius: 50%;
    border: 5px solid black;
    box-sizing: border-box;
    background: white;
}

.gear.one[b-sducelf1v9] {
    left: -130px;
}

.gear.two[b-sducelf1v9] {
    top: -75px;
}

.gear.three[b-sducelf1v9] {
    top: -235px;
    left: 130px;
}

.gear .bar[b-sducelf1v9] {
    position: absolute;
    left: -15px;
    top: 50%;
    z-index: 0;
    width: 150px;
    height: 30px;
    margin-top: -15px;
    /* ReSharper disable once CssBrowserCompatibility */
    border-radius: 5px;
    background: black;
}

.gear .bar[b-sducelf1v9]:before {
    position: absolute;
    left: 5px;
    top: 5px;
    right: 5px;
    bottom: 5px;
    z-index: 1;
    content: "";
    /* ReSharper disable once CssBrowserCompatibility */
    border-radius: 2px;
    background: white;
}

/* ReSharper disable once CssBrowserCompatibility */
.gear .bar:nth-child(2)[b-sducelf1v9] {
    /* ReSharper disable once CssBrowserCompatibility */
    /* ReSharper disable once CssPropertyDoesNotOverrideVendorProperty */
    transform: rotate(60deg);
    -webkit-transform: rotate(60deg);
}

/* ReSharper disable once CssBrowserCompatibility */
.gear .bar:nth-child(3)[b-sducelf1v9] {
    /* ReSharper disable once CssBrowserCompatibility */
    /* ReSharper disable once CssPropertyDoesNotOverrideVendorProperty */
    transform: rotate(120deg);
    -webkit-transform: rotate(120deg);
}

@-webkit-keyframes clockwise {
    0% {
        -webkit-transform: rotate(0);
    }

    100% {
        -webkit-transform: rotate(360deg);
    }
}

@-webkit-keyframes anticlockwise {
    0% {
        -webkit-transform: rotate(360deg);
    }

    100% {
        -webkit-transform: rotate(0);
    }
}

@-webkit-keyframes clockwiseError {
    0% {
        -webkit-transform: rotate(0);
    }

    20% {
        -webkit-transform: rotate(30deg);
    }

    40% {
        -webkit-transform: rotate(25deg);
    }

    60% {
        -webkit-transform: rotate(30deg);
    }

    100% {
        -webkit-transform: rotate(0);
    }
}

@-webkit-keyframes anticlockwiseErrorStop {
    0% {
        -webkit-transform: rotate(0);
    }

    20% {
        -webkit-transform: rotate(-30deg);
    }

    60% {
        -webkit-transform: rotate(-30deg);
    }

    100% {
        -webkit-transform: rotate(0);
    }
}

@-webkit-keyframes anticlockwiseError {
    0% {
        -webkit-transform: rotate(0);
    }

    20% {
        -webkit-transform: rotate(-30deg);
    }

    40% {
        -webkit-transform: rotate(-25deg);
    }

    60% {
        -webkit-transform: rotate(-30deg);
    }

    100% {
        -webkit-transform: rotate(0);
    }
}

.gear.one[b-sducelf1v9] {
    -webkit-animation: anticlockwiseErrorStop 2s linear infinite;
}

.gear.two[b-sducelf1v9] {
    -webkit-animation: anticlockwiseError 2s linear infinite;
}

.gear.three[b-sducelf1v9] {
    -webkit-animation: clockwiseError 2s linear infinite;
}

.loading .gear.one[b-sducelf1v9], .loading .gear.three[b-sducelf1v9] {
    -webkit-animation: clockwise 3s linear infinite;
}

.loading .gear.two[b-sducelf1v9] {
    -webkit-animation: anticlockwise 3s linear infinite;
}
/* _content/ElectionSetup.Web.Client/Components/Layout/Header.razor.rz.scp.css */
.row-layout[b-yw2s2bughg] {
    display: flex;
}

.column-layout[b-yw2s2bughg] {
    display: flex;
    flex-direction: column;
}

.header[b-yw2s2bughg] {
    background-color: var(--surface-100);
    justify-content: flex-start;
    align-items: stretch;
    align-content: flex-start;
    position: relative;
    min-width: 768px;
    min-height: 64px;
    width: 100%
}

.logo[b-yw2s2bughg] {
    --background: none;
    --ig-gray-400: transparent;
}

.toolbar-left[b-yw2s2bughg] {
    justify-content: flex-start;
    align-items: center;
    align-content: flex-start;
    position: relative;
    padding: 0 0 0 8px;
    width: 33.3%;
    min-height: 64px;
}

.toolbar-center[b-yw2s2bughg]{
    justify-content: center;
    align-items: center;
    text-align: center;
    position: relative;
    padding: 0 0 0 8px;
    width: 33.3%;
    min-height: 64px;
    margin-bottom: 0px;
}

.toolbar-right[b-yw2s2bughg] {
    justify-content: flex-end;
    align-items: center;
    align-content: flex-start;
    position: relative;
    margin: 0 8px 0 85px;
    width: 33.3%;
    min-height: 64px;
    flex-grow: 1;
    flex-basis: 0;
}

.connection-info[b-yw2s2bughg] {
    justify-content: center;
    align-items: center;
    align-content: flex-start;
    position: relative;
    min-width: 50px;
    min-height: 50px;
    flex-shrink: 0;
}

.group[b-yw2s2bughg] {
    justify-content: center;
    align-items: center;
    align-content: flex-start;
    position: relative;
    min-width: 50px;
    min-height: 50px;
}

.group_1[b-yw2s2bughg] {
    justify-content: center;
    align-items: flex-start;
    align-content: flex-start;
    position: relative;
    min-width: 50px;
    min-height: 50px;
}

.user-info[b-yw2s2bughg] {
    justify-content: flex-start;
    align-items: center;
    align-content: flex-start;
    position: relative;
    padding: 0 0 0 12px;
    min-width: 50px;
    min-height: 50px;
}

.app-title[b-yw2s2bughg] {
    color: rgb(16, 57, 96);
    margin: 8px;
    width: 311px;
    height: max-content;
    min-width: min-content;
}

.icon[b-yw2s2bughg] {
    font-size: 24px;
    width: 24px;
    height: 24px;
    color: rgb(16, 57, 96);
}

.text_1[b-yw2s2bughg] {
    color: rgb(16, 57, 96);
    height: max-content;
    min-width: min-content;
}

.signinouticon[b-yw2s2bughg] {
    font-size: 24px;
    width: 24px;
    height: 24px;
    color: darkred;
    padding-right: 40px;
}

.menuicon[b-yw2s2bughg] {
    font-size: 24px;
    width: 24px;
    height: 24px;
    padding-right: 40px;
}

.help-info[b-yw2s2bughg] {
    padding-left: 12px;
}

.menu-stack1[b-yw2s2bughg] {
    display: flex;
    gap: 12px;
    padding-top: 8px;
    padding-left: 8px;
    align-items: center
}

.menu-stack2[b-yw2s2bughg] {
    display: flex;
    flex-flow: column nowrap;
}

.menu-stack3[b-yw2s2bughg] {
    display: flex;
    gap: 12px;
    align-items: center;
    padding-top: 8px;
}
/* _content/ElectionSetup.Web.Client/Components/Layout/MainLayout.razor.rz.scp.css */
.page[b-k82pl225fo] {
    position: relative;
    display: flex;
    flex-direction: column;
}

main[b-k82pl225fo] {
    flex: 1;
}

.sidebar[b-k82pl225fo] {
    background-image: linear-gradient(180deg, rgb(5, 39, 103) 0%, #3a0647 70%);
}

.top-row[b-k82pl225fo] {
    background-color: #f7f7f7;
    border-bottom: 1px solid #d6d5d5;
    justify-content: flex-end;
    height: 3.5rem;
    display: flex;
    align-items: center;
}

.top-row[b-k82pl225fo]  a, .top-row[b-k82pl225fo]  .btn-link {
    white-space: nowrap;
    margin-left: 1.5rem;
    text-decoration: none;
}

.top-row[b-k82pl225fo]  a:hover, .top-row[b-k82pl225fo]  .btn-link:hover {
    text-decoration: underline;
}

.top-row[b-k82pl225fo]  a:first-child {
    overflow: hidden;
    text-overflow: ellipsis;
}

@media (max-width: 640.98px) {
    .top-row[b-k82pl225fo] {
        justify-content: space-between;
    }

    .top-row[b-k82pl225fo]  a, .top-row[b-k82pl225fo]  .btn-link {
        margin-left: 0;
    }
}

@media (min-width: 641px) {
    .page[b-k82pl225fo] {
        flex-direction: row;
    }

    .sidebar[b-k82pl225fo] {
        width: 250px;
        height: 100vh;
        position: sticky;
        top: 0;
    }

    .top-row[b-k82pl225fo] {
        position: sticky;
        top: 0;
        z-index: 1;
    }

    .top-row.auth[b-k82pl225fo]  a:first-child {
        flex: 1;
        text-align: right;
        width: 0;
    }

    .top-row[b-k82pl225fo], article[b-k82pl225fo] {
        padding-left: 2rem !important;
        padding-right: 1.5rem !important;
    }
}

#blazor-error-ui[b-k82pl225fo] {
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

#blazor-error-ui .dismiss[b-k82pl225fo] {
    cursor: pointer;
    position: absolute;
    right: 0.75rem;
    top: 0.5rem;
}

.master-view-container[b-k82pl225fo] {
    justify-content: flex-start;
    align-items: stretch;
    align-content: flex-start;
    min-height: 100vh;
}

.main-content[b-k82pl225fo] {
    justify-content: flex-start;
    align-items: stretch;
    align-content: flex-start;
    position: relative;
    min-width: 768px;
    min-height: 50px;
    flex-grow: 1;
}

.view-container[b-k82pl225fo] {
    position: relative;
    flex-grow: 1;
    height: 100%
}
/* _content/ElectionSetup.Web.Client/Components/Layout/NavMenu/SideBar.razor.rz.scp.css */
.column-layout[b-ztszhysc1z] {
    display: flex;
    flex-direction: column;
}

.row-layout[b-ztszhysc1z] {
    display: flex;
}

.side-bar[b-ztszhysc1z] {
    background-color: hsla(var(--ig-surface-500));
    border-color: hsla(var(--ig-gray-300));
    border-width: 0;
    border-style: solid;
    justify-content: flex-start;
    align-items: stretch;
    align-content: flex-start;
    position: relative;
    min-width: 50px;
    min-height: 50px;
    flex-shrink: 0;
}

